#include <doslibm.h>
#include <iocslib.h>
#include "defines.h"

int get_2hd(int drive,int mode)
/* 指定ﾌﾛｯﾋﾟｰが入っているかを調べ、入っている場合そのドライブ番号を返す */
/* ２ＨＤ以外フォーマット対応 */
/* drive : 0-3 */
/* mode  : 0=入っているかどうか調べない、1=入っているかどうか調べる */
{
unint i,drv;
_DPBPTR dpb;
	/* ドライブ番号チェック */
	if (drive<0||drive>3) return(0); /* ドライブ番号異常 */
	
	for (i=1;i<=26;i++) { /* drive A:〜Z: */
	    GETDPB(i,&dpb);
	    if (fd_id(dpb.id)) {
		if (dpb.unit==drive) { /* 指定FDD */
		    if (mode) { /* 入っているかどうかを調べる */
			drv=(0x90+dpb.unit)<<8; /* 0x9000-0x9300 */
			if (B_DRVCHK(drv,0)&BIT2) return(0); /* 入ってない */
		    }
		    return(i);
		}
	    }
	}
	return(0);
}
